/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "igniteui-react-core";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
/**
 * @hidden
 */
var FinancialPriceSeriesProxy = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(FinancialPriceSeriesProxy, _super);
    function FinancialPriceSeriesProxy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FinancialPriceSeriesProxy.prototype.getCloseMemberPath = function (a) {
        return a.wf;
    };
    FinancialPriceSeriesProxy.prototype.getHighMemberPath = function (a) {
        return a.ws;
    };
    FinancialPriceSeriesProxy.prototype.getLowMemberPath = function (a) {
        return a.wx;
    };
    FinancialPriceSeriesProxy.prototype.getOpenMemberPath = function (a) {
        return a.w1;
    };
    FinancialPriceSeriesProxy.prototype.getVolumeMemberPath = function (a) {
        return a.w5;
    };
    FinancialPriceSeriesProxy.prototype.matchesType = function (a) {
        if (!a.el) {
            return false;
        }
        if (a.em || a.en) {
            return false;
        }
        return true;
    };
    FinancialPriceSeriesProxy.prototype.setCategoryMode = function (a, b) {
        a.uj = b;
    };
    FinancialPriceSeriesProxy.prototype.setCloseMemberPath = function (a, b) {
        a.wf = b;
    };
    FinancialPriceSeriesProxy.prototype.setDisplayType = function (a, b) {
        a.x7 = b;
    };
    FinancialPriceSeriesProxy.prototype.setHighMemberPath = function (a, b) {
        a.ws = b;
    };
    FinancialPriceSeriesProxy.prototype.setLowMemberPath = function (a, b) {
        a.wx = b;
    };
    FinancialPriceSeriesProxy.prototype.setOpenMemberPath = function (a, b) {
        a.w1 = b;
    };
    FinancialPriceSeriesProxy.prototype.setVolumeMemberPath = function (a, b) {
        a.w5 = b;
    };
    FinancialPriceSeriesProxy.prototype.setXAxis = function (a, b) {
        a.ub = b;
    };
    FinancialPriceSeriesProxy.prototype.setYAxis = function (a, b) {
        a.uu = b;
    };
    FinancialPriceSeriesProxy.prototype.setTrendLineType = function (a, b) {
        if (a.eo) {
            a.trendLineType = b;
        }
    };
    FinancialPriceSeriesProxy.$t = markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
    return FinancialPriceSeriesProxy;
}(Base));
export { FinancialPriceSeriesProxy };
